Bug 480549 - rhythmbox-0.11.6-17-r6096.fc crashes on startup
rhythmbox-0.11.6-17-r6096.fc crashes on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
10
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 14:53 EST by Joseph Sacco
Modified: 2009-12-18 02:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:39:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Sacco 2009-01-18 14:53:06 EST
rhythmbox-0.11.6.17-6096 crashes on startup.  

After loading rhythmbox-debuginfo and running the application from within gdb, a segfault is detected:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x4ce4a410 (LWP 4046)]
0x4aaaabbc in cdda_read_timed () from /usr/lib/libcdda_interface.so.0

-Joseph
Comment 1 Bastien Nocera 2009-01-18 15:30:13 EST
Could you please get a full backtrace of the crash with symbols? See http://fedoraproject.org/wiki/StackTraces for details
Comment 2 Joseph Sacco 2009-01-18 22:05:20 EST
Bastien,

Sorry for being so lazy. I have been out the the open source world for a while.

The error occurs when there is an audio CD mounted. The full back trace is shown below.

FWIW... The CD shows up in rhythmbox as a device labelled "Unknown audio"

-Joseph

=====================================================================
(gdb) thread apply all bt

Thread 9 (Thread 0x4d0c9410 (LWP 4837)):
#0  0x4a0dfbbc in cdda_read_timed () from /usr/lib/libcdda_interface.so.0
#1  0x4ad504f0 in ?? () from /usr/lib/libcdda_paranoia.so.0
#2  0x4ad50860 in i_read_c_block () from /usr/lib/libcdda_paranoia.so.0
#3  0x4ad51024 in paranoia_read_limited () from /usr/lib/libcdda_paranoia.so.0
#4  0x4ad50dfc in paranoia_read () from /usr/lib/libcdda_paranoia.so.0
#5  0x0d929d78 in ?? () from /usr/lib/gstreamer-0.10/libgstcdparanoia.so
#6  0x0de1a14c in ?? () from /usr/lib/libgstcdda-0.10.so.0
#7  0x0f123d80 in ?? () from /usr/lib/libgstbase-0.10.so.0
#8  0x0f113f48 in ?? () from /usr/lib/libgstbase-0.10.so.0
#9  0x0f116a10 in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0x0f036cb4 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0x0fb8ebd4 in ?? () from /lib/libglib-2.0.so.0
#12 0x0fb8c01c in ?? () from /lib/libglib-2.0.so.0
#13 0x0fca711c in start_thread () from /lib/libpthread.so.0
#14 0x0fef19d0 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 7 (Thread 0x4b766410 (LWP 4835)):
#0  0x0fcac454 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x0fb26480 in ?? () from /lib/libglib-2.0.so.0
#2  0x0fb26ac4 in g_async_queue_pop () from /lib/libglib-2.0.so.0
#3  0x0edfb59c in action_thread_main (db=0x10278070) at rhythmdb.c:2738
#4  0x0fb8c01c in ?? () from /lib/libglib-2.0.so.0
#5  0x0fca711c in start_thread () from /lib/libpthread.so.0
#6  0x0fef19d0 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 6 (Thread 0x4ad49410 (LWP 4833)):
#0  0x0fcaca08 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x0fa53504 in ?? () from /lib/libgthread-2.0.so.0
#2  0x0eff4cdc in ?? () from /usr/lib/libgstreamer-0.10.so.0
#3  0x0efd75ac in ?? () from /usr/lib/libgstreamer-0.10.so.0
#4  0x0efefd20 in gst_element_get_state () from /usr/lib/libgstreamer-0.10.so.0
#5  0x0de4a56c in rb_audiocd_scan_songs () at rb-audiocd-source.c:324
#6  rb_audiocd_load_songs (source=0x10280158) at rb-audiocd-source.c:683
#7  0x0fb8c01c in ?? () from /lib/libglib-2.0.so.0
#8  0x0fca711c in start_thread () from /lib/libpthread.so.0
#9  0x0fef19d0 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0x480c60c0 (LWP 4813)):
#0  0x0fb7ccbc in g_slice_alloc () from /lib/libglib-2.0.so.0
#1  0x0fa9ac40 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#2  0x0fa9b908 in g_signal_emit () from /lib/libgobject-2.0.so.0
#3  0x004800fc in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#4  0x0032c7ac in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#5  0x007a5cd8 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#6  0x0fb55a1c in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#7  0x0fb5a1e8 in ?? () from /lib/libglib-2.0.so.0
#8  0x0fb5a924 in g_main_loop_run () from /lib/libglib-2.0.so.0
#9  0x0032cbe4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x1001689c in main (argc=<value optimized out>, argv=<value optimized out>)
    at main.c:330
#0  0x4a0dfbbc in cdda_read_timed () from /usr/lib/libcdda_interface.so.0
(gdb)
Comment 3 W. Michael Petullo 2009-02-13 01:18:49 EST
The command "cdparanoia 1" segfaults with a very similar backtrace, as does sound-juicer.
Comment 4 W. Michael Petullo 2009-02-13 01:21:20 EST
Downgrading to Fedora 9's cdparanoia alpha9.8-30 provides a temporary solution for me.
Comment 5 Bastien Nocera 2009-02-13 06:13:43 EST
Reassigning to cdparanoia.
Comment 6 W. Michael Petullo 2009-04-25 19:07:32 EDT
This still seems to be an issue after I upgraded to cdparanoia-10.2-4.fc11.ppc.
Comment 7 Bug Zapper 2009-11-18 04:46:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:39:01 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.